Bug 640251 - Extra fork when tcsh processes backquotes
Summary: Extra fork when tcsh processes backquotes
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tcsh   
(Show other bugs)
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Vitezslav Crhonek
QA Contact: Branislav Náter
URL:
Whiteboard:
Keywords: ZStream
Depends On: 594536 689383
Blocks: 673556 688170
TreeView+ depends on / blocked
 
Reported: 2010-10-05 10:51 UTC by RHEL Product and Program Management
Modified: 2018-11-14 20:11 UTC (History)
10 users (show)

Fixed In Version: tcsh-6.14-17.el5_5.2
Doc Type: Bug Fix
Doc Text:
Previously, when command substitution with backquotes was used, extra fork() was performed. With this update, only one fork() is performed.
Story Points: ---
Clone Of:
: 673556 (view as bug list)
Environment:
Last Closed: 2010-11-03 19:19:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0823 normal SHIPPED_LIVE tcsh bug fix update 2010-11-03 19:19:07 UTC

Description RHEL Product and Program Management 2010-10-05 10:51:24 UTC
This bug has been copied from bug #594536 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 6 errata-xmlrpc 2010-11-03 19:19:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0823.html

Comment 7 Florian Nadge 2011-01-03 09:37:36 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, when command substitution with backquotes was used, extra fork() was performed. With this update, only one fork() is performed.


Note You need to log in before you can comment on or make changes to this bug.